
/*
* Vue-Video-Player
* Author: weilaihui@126.com
* Github: https://github.com/weilaihui/vue-videojs-aliplayer
* Adapted from Videojs (https://github.com/videojs/video.js)
*/

import _Vue from 'vue'
import videoPlayer from './components/player.vue'

const Vue = window.Vue || _Vue

const install = function (Vue, config) {
  if (config) {
    if (config.options) {
      videoPlayer.props.globalOptions.default = () => config.options
    }
    if (config.events) {
      videoPlayer.props.globalEvents.default = () => config.events
    }
  }
  Vue.component(videoPlayer.name, videoPlayer)
}

install(Vue)

const VueVideoPlayer = { videoPlayer, install }

export default VueVideoPlayer