

export const SKD_SCRIPT = 'https://g.alicdn.com/de/prismplayer/2.8.1/aliplayer-min.js'
export const VIDEO_VOLUME_KEY = 'ali-video-volume'
export const VIDEO_RESOLUTION_KEY = 'ali-video-resolution'
export const VIDEO_PLAYBACK_KEY = 'ali-video-playback'

export const DEFAULT_EVENTS = [
  'ready',
  'timeupdate',
  'loadeddata',
  'canplay',
  'canplaythrough',
  'play',
  'pause',
  'waiting',
  'playing',
  'ended',
  'error',
  'reload',
  'seeked'
]
/**
 * 格式到MIME-TYPE的映射
 */
export const FORMAT_MIME_MAP = {
  'mp4': 'video/mp4',
  'flv': 'video/flv',
  'rtmp': 'rtmp/mp4',
  'm3u8': 'application/x-mpegURL',
}

/** 视频分辨率映射 */
export const VIDEO_DEFINITION_MAP = {
  'FD': '流畅',
  'LD': '标清',
  'SD': '高清',
  'HD': '超清',
  'OD': '原画',
  '2K': '2K',
  '4K': '4K',
  'SQ': '普通音质',
  'HQ': '高音质'
}
/** 直播分辨率映射 */
export const LIVE_DEFINITION_MAP = {
  'NORMAL': '原画',
  'LLD': '流畅',
  'LD': '流畅',
  'LSD': '标清',
  'SD': '标清',
  'LHD': '高清',
  'HD': '高清',
  'LUD': '超清',
  'UD': '超清',
}